Bug 1001374

Summary: Web Assets
Product: [Fedora] Fedora Documentation Reporter: Pete Travis <me>
Component: docs-requestsAssignee: Pete Travis <me>
Status: CLOSED NOTABUG QA Contact: Fedora Docs QA <docs-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: develCC: jreznik, nobody, sparks, stickster, tchollingsworth, zach
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: F20WebAssets Environment:
Last Closed: 2013-09-08 22:13:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 998583    
Bug Blocks:    

Description Pete Travis 2013-08-26 23:15:18 UTC
+++ This bug was initially created as a clone of Bug #998583 +++

This is a tracking bug for Change: Web Assets
For more details, see: http://fedoraproject.org//wiki/Changes/Web_Assets

Traditionally, Fedora has been pushing bits from its various servers to people's browsers in an ad-hoc fashion, and issues surrounding JavaScript have been swept under the rug.  This change proposal provides a simple framework for shipping static web content and a way forward to treat JavaScript more closely to other code in the distribution.

Discussion at https://lists.fedoraproject.org/pipermail/devel-announce/2013-July/001197.html

Please assess existing documentation for the impact of this Change.

Comment 1 T.C. Hollingsworth 2013-08-27 03:49:18 UTC
Per my comments in 1001371 the scope of this Change for F20 has been reduced such that this should have zero impact on any extant documentation.

Comment 2 Pete Travis 2013-09-08 22:13:06 UTC
Agreed. We don't provide much documentation specific to web applications, mainly system level functionality.  Let's reexamine this if proposed as a F21 feature with greater scope.